package com.viettel.campaign.repository;

import com.viettel.campaign.web.dto.ResultDTO;
import com.viettel.campaign.web.dto.request_dto.CampaignRequestDTO;
import org.springframework.stereotype.Repository;

@Repository
public interface CampaignRepositoryCustom {
    ResultDTO searchCampaignExecute(CampaignRequestDTO campaignRequestDto);

    ResultDTO search(CampaignRequestDTO requestDto);

    ResultDTO findByCampaignCode(CampaignRequestDTO requestDTO);
}
